Bug 1019317 - Remove the security role description from select and provide it differently
Remove the security role description from select and provide it differently
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER5
: 6.0.0
Assigned To: David Gutierrez
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 09:20 EDT by Jan Hrcek
Modified: 2014-08-06 16:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:13:01 EDT
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Role description in select(s) in panels for editing permissions (124.34 KB, image/png)
2013-10-15 09:20 EDT, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2013-10-15 09:20:41 EDT
Created attachment 812520 [details]
Role description in select(s) in panels for editing permissions

Description of problem:
Please see the title above and screenshot attached to see what I mean.
The security role description is part of select option's text in panels for editting role permissions.

The security role description should be provided differently, e.g.:
-as option's element title
-as a description somewhere below the "Select role" select.

Version-Release number of selected component (if applicable):
BPMS 6.0.0 ER4

How reproducible:
Always
Comment 1 David Gutierrez 2013-10-17 05:34:13 EDT
Fixed. 

Now the combos show only the role name and the description as the option's title.

Github commit (master): https://github.com/droolsjbpm/dashboard-builder/commit/a6afd1a64dcfae72a59154bda9b8617fbc15749a

Github commit (6.0.x): https://github.com/droolsjbpm/dashboard-builder/commit/5dca8b1d58fc00281b49b56acd999978fafe8daa
Comment 2 Jan Hrcek 2013-11-29 08:45:08 EST
Ok, verified with BPMS 6.0.0 ER5 deployed on EAP 6.1.1

Note You need to log in before you can comment on or make changes to this bug.